<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__usbdev__config__descr__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_usbdev_config_descr_t</compoundname>
    <includes local="no">cy_usb_dev_descr.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__usbdev__config__descr__t_1a5e57a1c41471aabd2add6513974f0464" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_config_descr_t::bLength</definition>
        <argsstring />
        <name>bLength</name>
        <briefdescription>
<para>Size of Descriptor in Bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="211" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="211" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__config__descr__t_1aff0680f735725beac0d5864faddb54d3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_config_descr_t::bDescriptorType</definition>
        <argsstring />
        <name>bDescriptorType</name>
        <briefdescription>
<para>Configuration Descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="212" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="212" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__config__descr__t_1a234eeb09dab42628e330b0d5eef3e8b0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_usbdev_config_descr_t::wTotalLength</definition>
        <argsstring />
        <name>wTotalLength</name>
        <briefdescription>
<para>Total length in bytes of data returned. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="213" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="213" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__config__descr__t_1a8e0f1164631005d3ab62e9617bb47550" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_config_descr_t::bNumInterfaces</definition>
        <argsstring />
        <name>bNumInterfaces</name>
        <briefdescription>
<para>Number of Interfaces. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="214" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="214" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__config__descr__t_1a28290fc090d1300ce689675dbf03d516" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_config_descr_t::bConfigurationValue</definition>
        <argsstring />
        <name>bConfigurationValue</name>
        <briefdescription>
<para>Value to use as an argument to select this configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="215" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="215" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__config__descr__t_1ac2e058ba9bf10e7609d6ec7ad2acb338" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_config_descr_t::iConfiguration</definition>
        <argsstring />
        <name>iConfiguration</name>
        <briefdescription>
<para>Index of String Descriptor describing this configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="216" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="216" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__config__descr__t_1afcb2b8c7eea77e13d12b25e34640bab8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_config_descr_t::bmAttributes</definition>
        <argsstring />
        <name>bmAttributes</name>
        <briefdescription>
<para>Bitmap: D7 Reserved, set to 1. </para>        </briefdescription>
        <detaileddescription>
<para>(USB 1.0 Bus Powered) D6 Self Powered D5 Remote Wakeup D4..0 Reserved, set to 0. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="217" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="217" />
      </memberdef>
      <memberdef id="structcy__stc__usbdev__config__descr__t_1a66639e32037402566bf51b27936b1317" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_usbdev_config_descr_t::bMaxPower</definition>
        <argsstring />
        <name>bMaxPower</name>
        <briefdescription>
<para>Maximum Power Consumption in 2 mA units. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="223" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="223" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration descriptor. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="224" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" bodystart="209" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/middleware-usbdev/cy_usb_dev_descr.h" line="210" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__usbdev__config__descr__t_1a28290fc090d1300ce689675dbf03d516" virt="non-virtual"><scope>cy_stc_usbdev_config_descr_t</scope><name>bConfigurationValue</name></member>
      <member prot="public" refid="structcy__stc__usbdev__config__descr__t_1aff0680f735725beac0d5864faddb54d3" virt="non-virtual"><scope>cy_stc_usbdev_config_descr_t</scope><name>bDescriptorType</name></member>
      <member prot="public" refid="structcy__stc__usbdev__config__descr__t_1a5e57a1c41471aabd2add6513974f0464" virt="non-virtual"><scope>cy_stc_usbdev_config_descr_t</scope><name>bLength</name></member>
      <member prot="public" refid="structcy__stc__usbdev__config__descr__t_1afcb2b8c7eea77e13d12b25e34640bab8" virt="non-virtual"><scope>cy_stc_usbdev_config_descr_t</scope><name>bmAttributes</name></member>
      <member prot="public" refid="structcy__stc__usbdev__config__descr__t_1a66639e32037402566bf51b27936b1317" virt="non-virtual"><scope>cy_stc_usbdev_config_descr_t</scope><name>bMaxPower</name></member>
      <member prot="public" refid="structcy__stc__usbdev__config__descr__t_1a8e0f1164631005d3ab62e9617bb47550" virt="non-virtual"><scope>cy_stc_usbdev_config_descr_t</scope><name>bNumInterfaces</name></member>
      <member prot="public" refid="structcy__stc__usbdev__config__descr__t_1ac2e058ba9bf10e7609d6ec7ad2acb338" virt="non-virtual"><scope>cy_stc_usbdev_config_descr_t</scope><name>iConfiguration</name></member>
      <member prot="public" refid="structcy__stc__usbdev__config__descr__t_1a234eeb09dab42628e330b0d5eef3e8b0" virt="non-virtual"><scope>cy_stc_usbdev_config_descr_t</scope><name>wTotalLength</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>